import { type SidecarLogger } from './logger.js';
type IncomingPayloadCallback = (body: string) => void;
type SideCarOptions = {
    /**
     * The port on which the sidecar should listen.
     * Defaults to 8969.
     */
    port?: string | number;
    /**
     * A logger that implements the SidecarLogger interface.
     * Use this to inject your custom logger implementation.
     *
     * @default - a simple logger logging to the console.
     */
    logger?: SidecarLogger;
    /**
     * The base path from where the static files should be served.
     */
    basePath?: string;
    /**
     * More verbose logging.
     */
    debug?: boolean;
    /**
     * A callback that will be called with the incoming message.
     * Helpful for debugging.
     */
    incomingPayload?: IncomingPayloadCallback;
};
export declare function setupSidecar({ port, logger: customLogger, basePath, debug, incomingPayload, }?: SideCarOptions): void;
export declare function clearBuffer(): void;
export declare function shutdown(): void;
export {};
